Debian Bug report logs - #572483
samba-common: invoke-rc.d warning when doing system shutdown

version graph

Package: samba-common; Maintainer for samba-common is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba-common is src:samba.

Reported by: Kevin Baradon <kevin.baradon@gmail.com>

Date: Thu, 4 Mar 2010 13:27:01 UTC

Severity: minor

Tags: patch, pending

Found in version samba/2:3.4.6~dfsg-1

Fixed in version samba/2:3.5.9~dfsg-1

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Thu, 04 Mar 2010 13:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Baradon <kevin.baradon@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 04 Mar 2010 13:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kevin Baradon <kevin.baradon@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: samba-common: invoke-rc.d warning when doing system shutdown
Date: Thu, 04 Mar 2010 14:25:36 +0100
Package: samba-common
Version: 2:3.4.6~dfsg-1
Severity: minor
Tags: patch

invoke-rc.d warns me during every system shutdown it is invoked in an invalid context.

This command is called by /etc/dhcp3/dhclient-enter-hooks.d/samba to reload samba configuration file on DHCP release (my IP address comes from DHCP server). 
But smbd daemon isn't running anymore at that time (system shutdown).

Following patch checks for PID file existence before calling invoke-rc.d and fixes the warning.

--- samba.orig  2010-03-04 14:12:00.000000000 +0100
+++ samba       2010-03-04 14:24:11.000000000 +0100
@@ -68,7 +68,8 @@

        # reload the samba server
        # We don't necessarily have the samba package installed. #414841
-       [ -x /etc/init.d/samba ] && /usr/sbin/invoke-rc.d samba reload
+       # Samba is not always running
+       [ -x /etc/init.d/samba ] && [ -s /var/run/samba/smbd.pid ] && /usr/sbin/invoke-rc.d samba reload

 }


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.33 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages samba-common depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  ucf                           3.0025     Update Configuration File: preserv

Versions of packages samba-common recommends:
ii  samba-common-bin          2:3.4.6~dfsg-1 common files used by both the Samb

samba-common suggests no packages.

-- debconf information:
  samba-common/encrypt_passwords: true
* samba-common/dhcp: false
* samba-common/workgroup: WORKGROUP
  samba-common/do_debconf: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Thu, 04 Mar 2010 21:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 04 Mar 2010 21:24:09 GMT) Full text and rfc822 format available.

Message #10 received at 572483@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Kevin Baradon <kevin.baradon@gmail.com>, 572483@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#572483: samba-common: invoke-rc.d warning when doing system shutdown
Date: Thu, 4 Mar 2010 22:19:48 +0100
[Message part 1 (text/plain, inline)]
Quoting Kevin Baradon (kevin.baradon@gmail.com):
> Package: samba-common
> Version: 2:3.4.6~dfsg-1
> Severity: minor
> Tags: patch
> 
> invoke-rc.d warns me during every system shutdown it is invoked in an invalid context.
> 
> This command is called by /etc/dhcp3/dhclient-enter-hooks.d/samba to reload samba configuration file on DHCP release (my IP address comes from DHCP server). 
> But smbd daemon isn't running anymore at that time (system shutdown).
> 
> Following patch checks for PID file existence before calling invoke-rc.d and fixes the warning.

The warning comes from......start-stop-daemon that checks for such
existence.

Indeed, the s-s-d call for "reload" in /etc/init.d/samba doesn't use
"--quiet". *This* is what would make the reload action quiet in your
case...and in any other case, while your patch only fixes the DHCP
release hook script.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Mon, 05 Apr 2010 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Baradon <kevin.baradon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Mon, 05 Apr 2010 10:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 572483@bugs.debian.org (full text, mbox):

From: Kevin Baradon <kevin.baradon@gmail.com>
To: Christian PERRIER <bubulle@debian.org>
Cc: 572483@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#572483: samba-common: invoke-rc.d warning when doing system shutdown
Date: Mon, 5 Apr 2010 12:08:35 +0200
[Message part 1 (text/plain, inline)]
2010/3/4 Christian PERRIER <bubulle@debian.org>

> Quoting Kevin Baradon (kevin.baradon@gmail.com):
> > Package: samba-common
> > Version: 2:3.4.6~dfsg-1
> > Severity: minor
> > Tags: patch
> >
> > invoke-rc.d warns me during every system shutdown it is invoked in an
> invalid context.
> >
> > This command is called by /etc/dhcp3/dhclient-enter-hooks.d/samba to
> reload samba configuration file on DHCP release (my IP address comes from
> DHCP server).
> > But smbd daemon isn't running anymore at that time (system shutdown).
> >
> > Following patch checks for PID file existence before calling invoke-rc.d
> and fixes the warning.
>
> The warning comes from......start-stop-daemon that checks for such
> existence.
>
> Indeed, the s-s-d call for "reload" in /etc/init.d/samba doesn't use
> "--quiet". *This* is what would make the reload action quiet in your
> case...and in any other case, while your patch only fixes the DHCP
> release hook script.
>
>
I tried adding --quiet to s-s-d call in /etc/init.d/samba. Same message
still appears.
In my opinion this is the call of invoke-rc.d from DHCP hook script which
causes this message, and not the call of s-s-d from samba initscript.

Thus my patch which avoids this call when unnecessary.



>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iEYEARECAAYFAkuQIꂑൎ廚찁䏒퇔䀉턾꾰�꘶Ὄ뤁濏⏄�
> yC0An2vnset44XFt/BfirfjI7a5Y53Zz
> =yRf8
> -----END PGP SIGNATURE-----
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Sat, 30 Apr 2011 00:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Dyson <will.dyson@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Sat, 30 Apr 2011 00:03:06 GMT) Full text and rfc822 format available.

Message #20 received at 572483@bugs.debian.org (full text, mbox):

From: Will Dyson <will.dyson@gmail.com>
To: 572483@bugs.debian.org
Subject: Same patch fixes samba with systemd
Date: Fri, 29 Apr 2011 19:59:17 -0400
When DHCP obtains a lease during boot, systemd is not yet ready to
handle "invoke-rc.d reload" being called. This leads to a boot hang.

While this is probably something that should be fixed in systemd, this
simple change avoids provoking it.

-- 
Will Dyson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Sat, 30 Apr 2011 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Sat, 30 Apr 2011 01:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 572483@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Will Dyson <will.dyson@gmail.com>, 572483@bugs.debian.org
Subject: Re: Bug#572483: Same patch fixes samba with systemd
Date: Fri, 29 Apr 2011 17:56:49 -0700
tags 572483 -patch
thanks

On Fri, Apr 29, 2011 at 07:59:17PM -0400, Will Dyson wrote:
> When DHCP obtains a lease during boot, systemd is not yet ready to
> handle "invoke-rc.d reload" being called. This leads to a boot hang.

> While this is probably something that should be fixed in systemd, this
> simple change avoids provoking it.

The proposed patch is incorrect; we should not leak implementation details
like pid files into the dhcp hook.

If 'invoke-rc.d reload' separately causes a hang with systemd, that most
definitely needs to be fixed in systemd, not here.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Removed tag(s) patch. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 30 Apr 2011 01:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Tue, 07 Jun 2011 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Tue, 07 Jun 2011 17:54:05 GMT) Full text and rfc822 format available.

Message #32 received at 572483@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 572483@bugs.debian.org
Subject: samba: Add "--quiet" to s-s-d call for "reload" action in init script
Date: Tue, 7 Jun 2011 19:12:34 +0200
[Message part 1 (text/plain, inline)]
The atatched patch should be enough to fix the display of a warning
when the DHCP lease is released and then the DHCP hook script does
"invoke-rc.d samba reload".

Indeed it will also fix the warning emitted when "reloading" samba
while daemons are not running.

Steve, do you think that's acceptable or do you prefer having
"invoke-rc.d samba reload" still emit a warning when samba is not
running?

If you're OK with the patch, I'll tag the bug "patch" and commit to
SVN. Otherwise, I'll tag the bug "wontfix" and will probably close it
one day or another...:)

-- 


[patch-572483 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 20:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Sun, 12 Jun 2011 19:40:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to John The Clever <plaidsquirrel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Sun, 12 Jun 2011 19:40:46 GMT) Full text and rfc822 format available.

Message #39 received at 572483@bugs.debian.org (full text, mbox):

From: John The Clever <plaidsquirrel@gmail.com>
To: 572483@bugs.debian.org
Subject: Thank you
Date: Sun, 12 Jun 2011 12:40:02 -0700
[Message part 1 (text/plain, inline)]
Your patch fixed the problem I was having with Squeeze + Samba. I think
there's a decent number of people out there with a similar configuration who
are encountering this problem. Thank you for your help. : )
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Sun, 12 Jun 2011 20:03:08 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sat, 18 Jun 2011 09:39:37 GMT) Full text and rfc822 format available.

Notification sent to Kevin Baradon <kevin.baradon@gmail.com>:
Bug acknowledged by developer. (Sat, 18 Jun 2011 09:39:40 GMT) Full text and rfc822 format available.

Message #46 received at 572483-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 572483-close@bugs.debian.org
Subject: Bug#572483: fixed in samba 2:3.5.9~dfsg-1
Date: Sat, 18 Jun 2011 09:36:02 +0000
Source: samba
Source-Version: 2:3.5.9~dfsg-1

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libpam-smbpass_3.5.9~dfsg-1_i386.deb
  to main/s/samba/libpam-smbpass_3.5.9~dfsg-1_i386.deb
libsmbclient-dev_3.5.9~dfsg-1_i386.deb
  to main/s/samba/libsmbclient-dev_3.5.9~dfsg-1_i386.deb
libsmbclient_3.5.9~dfsg-1_i386.deb
  to main/s/samba/libsmbclient_3.5.9~dfsg-1_i386.deb
libwbclient-dev_3.5.9~dfsg-1_i386.deb
  to main/s/samba/libwbclient-dev_3.5.9~dfsg-1_i386.deb
libwbclient0_3.5.9~dfsg-1_i386.deb
  to main/s/samba/libwbclient0_3.5.9~dfsg-1_i386.deb
samba-common-bin_3.5.9~dfsg-1_i386.deb
  to main/s/samba/samba-common-bin_3.5.9~dfsg-1_i386.deb
samba-common_3.5.9~dfsg-1_all.deb
  to main/s/samba/samba-common_3.5.9~dfsg-1_all.deb
samba-dbg_3.5.9~dfsg-1_i386.deb
  to main/s/samba/samba-dbg_3.5.9~dfsg-1_i386.deb
samba-doc-pdf_3.5.9~dfsg-1_all.deb
  to main/s/samba/samba-doc-pdf_3.5.9~dfsg-1_all.deb
samba-doc_3.5.9~dfsg-1_all.deb
  to main/s/samba/samba-doc_3.5.9~dfsg-1_all.deb
samba-tools_3.5.9~dfsg-1_i386.deb
  to main/s/samba/samba-tools_3.5.9~dfsg-1_i386.deb
samba_3.5.9~dfsg-1.debian.tar.gz
  to main/s/samba/samba_3.5.9~dfsg-1.debian.tar.gz
samba_3.5.9~dfsg-1.dsc
  to main/s/samba/samba_3.5.9~dfsg-1.dsc
samba_3.5.9~dfsg-1_i386.deb
  to main/s/samba/samba_3.5.9~dfsg-1_i386.deb
samba_3.5.9~dfsg.orig.tar.bz2
  to main/s/samba/samba_3.5.9~dfsg.orig.tar.bz2
smbclient_3.5.9~dfsg-1_i386.deb
  to main/s/samba/smbclient_3.5.9~dfsg-1_i386.deb
swat_3.5.9~dfsg-1_i386.deb
  to main/s/samba/swat_3.5.9~dfsg-1_i386.deb
winbind_3.5.9~dfsg-1_i386.deb
  to main/s/samba/winbind_3.5.9~dfsg-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572483@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Jun 2011 07:08:00 +0200
Source: samba
Binary: samba samba-common-bin samba-common samba-tools smbclient swat samba-doc samba-doc-pdf libpam-smbpass libsmbclient libsmbclient-dev winbind samba-dbg libwbclient0 libwbclient-dev
Architecture: source all i386
Version: 2:3.5.9~dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 libpam-smbpass - pluggable authentication module for Samba
 libsmbclient - shared library for communication with SMB/CIFS servers
 libsmbclient-dev - development files for libsmbclient
 libwbclient-dev - Samba winbind client library - development files
 libwbclient0 - Samba winbind client library
 samba      - SMB/CIFS file, print, and login server for Unix
 samba-common - common files used by both the Samba server and client
 samba-common-bin - common files used by both the Samba server and client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation in PDF format
 samba-tools - Samba testing utilities
 smbclient  - command-line SMB/CIFS clients for Unix
 swat       - Samba Web Administration Tool
 winbind    - Samba nameservice integration server
Closes: 221618 572483
Changes: 
 samba (2:3.5.9~dfsg-1) unstable; urgency=low
 .
   * New upstream release
   * Add "--quiet" to start-stop-daemon call in reload target in init
     script. Closes: #572483
   * Add examples/LDAP in examples for the samba package. With this,
     samba.schema will be provided in some way in the package.
     This very partially addresses #190162
   * patches/bug_221618_precise-64bit-prototype.patch: precise
     64bits prototype in libsmbclient-dev. Closes: #221618
   * patches/no-unnecessary-cups.patch: dropped after upstream
     changes to printing code
   * Update Standards to 3.9.2 (checked, no change)
   * Add build-arch and build-indep targets in debian/rules
Checksums-Sha1: 
 c063cb56efabac386b6e557dc231deaae98fe152 2577 samba_3.5.9~dfsg-1.dsc
 a8eb851924e232a0e3b78f399669cc3a1e64d942 26403296 samba_3.5.9~dfsg.orig.tar.bz2
 574c27bf82a383093603c07e6356161e826aa723 275330 samba_3.5.9~dfsg-1.debian.tar.gz
 018d8a991ca4e503673e825bb8f1f628723b50ba 393264 samba-common_3.5.9~dfsg-1_all.deb
 473aced9636f0e4121c558a3245ade559e49e47a 1751086 samba-doc_3.5.9~dfsg-1_all.deb
 6178d745c396750167e02512a5768c9707cb284e 7063086 samba-doc-pdf_3.5.9~dfsg-1_all.deb
 f2fa6f9b5705e676ad36b8d99d2a2e54014228b2 8260278 samba_3.5.9~dfsg-1_i386.deb
 b9772fb290bda60f68f30f8309835de41e5195e7 6392220 samba-common-bin_3.5.9~dfsg-1_i386.deb
 cbc39598c41d1b536c1295a5dda0823851e9eebb 11531068 samba-tools_3.5.9~dfsg-1_i386.deb
 b26034a6f4eec78aac5c0f4e56357011852cc746 15263274 smbclient_3.5.9~dfsg-1_i386.deb
 1ee267617d035a6a4e59a8d9748b462305905cdd 2492608 swat_3.5.9~dfsg-1_i386.deb
 ea5021596161a771dea9843dea4d921d624f37b4 891638 libpam-smbpass_3.5.9~dfsg-1_i386.deb
 7c978e4632897d3b64d8477450a772daccf5c331 2196380 libsmbclient_3.5.9~dfsg-1_i386.deb
 e0097d7e292be9318e4aaa6f2aff70332a4c917f 3167246 libsmbclient-dev_3.5.9~dfsg-1_i386.deb
 389869054b6363ab1b50f8bfebfca880fe5d9274 5778722 winbind_3.5.9~dfsg-1_i386.deb
 d1d9a73614c36ed80892defbd5dedd966b8f141c 56366410 samba-dbg_3.5.9~dfsg-1_i386.deb
 50f1c8314906db484680cc72afbf1eabc0bb286c 120338 libwbclient0_3.5.9~dfsg-1_i386.deb
 36c5bb8c38bdc2347975fd3a344ce07242d561f3 85042 libwbclient-dev_3.5.9~dfsg-1_i386.deb
Checksums-Sha256: 
 53ab9fc02a7f49ea256c8772bed547281755d57c2942e05a083dd6eb38c8cbb5 2577 samba_3.5.9~dfsg-1.dsc
 1ec8c1080801d32f88086330071ec23f918cea51303449c177a3dfc6375f7ddd 26403296 samba_3.5.9~dfsg.orig.tar.bz2
 9ca963c64fe731d8adb055737a17dbca581fcadaf9ae517522e0ef087890ebff 275330 samba_3.5.9~dfsg-1.debian.tar.gz
 1656fd7c187db46725dfe9f1bef17112dc6b2e5ac0c6a926be48a7964603ac8c 393264 samba-common_3.5.9~dfsg-1_all.deb
 d8391000ebd1e60bed700ceafee638fb57fabffecbab0da3d8eb29b7cbc2bff3 1751086 samba-doc_3.5.9~dfsg-1_all.deb
 4692ffe30360c3b7d691cef8d9c755e4c06444b815536cb5c06007015bb45e81 7063086 samba-doc-pdf_3.5.9~dfsg-1_all.deb
 0bc0463b95ce859daa719a1c7c20e7fdc37385305fa19b92534fa26eed63987b 8260278 samba_3.5.9~dfsg-1_i386.deb
 1d0b82eaa89be88f8b54b44d6801ac9def89a0e4feb486e30c6b15099b4c34b0 6392220 samba-common-bin_3.5.9~dfsg-1_i386.deb
 d8fd6aa8075b971cef0f0148ddd39267e8aa9e549439cc36f4a920b5a0eb760b 11531068 samba-tools_3.5.9~dfsg-1_i386.deb
 8e8a8de0c006d8fec53805cdbc244be0989cdf09e7bbffbb2b170f837adf0ed8 15263274 smbclient_3.5.9~dfsg-1_i386.deb
 999aec9ff96451a69e21ebfd17bd5d274ce8e4b082e03072550f2c5f3474ad73 2492608 swat_3.5.9~dfsg-1_i386.deb
 986744f283bdc030f6d39bd8ce8d58668fb5c0601248c6ac94d54f755cd868dd 891638 libpam-smbpass_3.5.9~dfsg-1_i386.deb
 dddee416c7c81294c18353751520186a8a3e4cee2db1a7676ec00fb178d147ef 2196380 libsmbclient_3.5.9~dfsg-1_i386.deb
 a672d94660aab1bfa2b42dc4d91f7761c9986f30b25f4f393d4e72a9611338f9 3167246 libsmbclient-dev_3.5.9~dfsg-1_i386.deb
 d568c6e45cbb6a1d467d6e286dc60ab4a597b7986eed327e33d974d5a8bd0420 5778722 winbind_3.5.9~dfsg-1_i386.deb
 868afed444ee244eb1c7ffddb60ba6cab242d5d15a90ca4915fd0f72124bd5d9 56366410 samba-dbg_3.5.9~dfsg-1_i386.deb
 a71524a182d66fec6c8246055ca680b174a1ba1740ff322a645f202371b076fe 120338 libwbclient0_3.5.9~dfsg-1_i386.deb
 8a55d31969d19735b29584887067907cff0c43a16f1a2b252d56e18dc882fe4e 85042 libwbclient-dev_3.5.9~dfsg-1_i386.deb
Files: 
 9790706bc894f7d971d8755586bd8e19 2577 net optional samba_3.5.9~dfsg-1.dsc
 2b0889a77b6ebb14ec14ba7cb531181e 26403296 net optional samba_3.5.9~dfsg.orig.tar.bz2
 bcac63885ac1c79503629e75a17e3fd9 275330 net optional samba_3.5.9~dfsg-1.debian.tar.gz
 6f0b8621b15799762084c59f462cb97c 393264 net optional samba-common_3.5.9~dfsg-1_all.deb
 f0c02513c89da3b63e5f4fdd6492efeb 1751086 doc optional samba-doc_3.5.9~dfsg-1_all.deb
 5a23fa2a3203fba13c67dc2274da7cb6 7063086 doc optional samba-doc-pdf_3.5.9~dfsg-1_all.deb
 6306097f30ac54c82ec03d43c389e4ec 8260278 net optional samba_3.5.9~dfsg-1_i386.deb
 89f5a4840053f3f25b454bea0a2262f5 6392220 net optional samba-common-bin_3.5.9~dfsg-1_i386.deb
 51ef41b2ddf93337cfaa7f3c4190c090 11531068 net optional samba-tools_3.5.9~dfsg-1_i386.deb
 aef3c0f749904a140d1f5e5c3a5ec855 15263274 net optional smbclient_3.5.9~dfsg-1_i386.deb
 0a51c81a95c602d5f4185b279803e4e8 2492608 net optional swat_3.5.9~dfsg-1_i386.deb
 83fa26a05066f7781b418d5e67fa056d 891638 admin extra libpam-smbpass_3.5.9~dfsg-1_i386.deb
 bc3605c4c0c900b2bf3c5caf76caa066 2196380 libs optional libsmbclient_3.5.9~dfsg-1_i386.deb
 4e5f68e56f3919ab400398d668e6494d 3167246 libdevel extra libsmbclient-dev_3.5.9~dfsg-1_i386.deb
 f1ad8c97439d74b04ffe1ea647e3c177 5778722 net optional winbind_3.5.9~dfsg-1_i386.deb
 d2f9772b62cf8f554855efe5757c7b29 56366410 debug extra samba-dbg_3.5.9~dfsg-1_i386.deb
 31a2cd864e7b1697b5ff36bffedba314 120338 libs optional libwbclient0_3.5.9~dfsg-1_i386.deb
 653eb2effa2265d5dcd02dc06d194e82 85042 libdevel optional libwbclient-dev_3.5.9~dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTfxl9ocvcCxNbiWoAQKPmg/7BhMw7LsiicarIkp2T8Kipxm6R1+OFljm
90nhGoEt5TqRde7HkG+3vhqFYZA0HU3fOUhQNSWiAxM+6+SfgUotTrLl5fgC1H/m
itSDHSNJuxxmxsD3+vdSAX9mgGJX2bhuxcMiKN1XTAhNhFDEhgX8EEZitHWoW6Tw
V/Cwt57Ca/Drl3/MuyxLXXefM+pknuQNnMKmy1prEoJpXPEYUtJahx6S5xT2RGNU
IBg8YhKcUnkfRfiWgc7j7vOwt7FBUVtB8mhwTBMYg+9tKzz+IMNW3/yALNgUo+9G
5ew7oO/MvtJJATeCvQ81bCxXec+M65n3P0wzqmKL0Zmu4UvlwK2Md/qlnBKhiJG8
4NXlB9DJt7dL8JvFIRnRcyPO2/Pv86QGP2QNA5gY2B8i6tmXVDAeBz3WvcTog8C+
yE18X2ByVok8dRGzDd59WOFKg1H9ho6QGwq2La8vfRJJyXfTO6baqs1trOOGvpOl
pTF67ukxN4j9UqbaZtbUkAuP/hTjbLJcu5o5Re8uyhz+8sO5BmM+SbY7Yo/qOVH1
McMa2Eb9Qo8WV3qT5EHTqLB0GUJNQ4TSyHe0lkP01RLCHmapa+suA6Sj12p4nsBS
MYlmhGwuVOT18+mNuBB9ZBy4f1BIWM4d9j/76zFZl+BcdLDY1UFy71BJ46Z6/ERo
RlBw5eenNvo=
=Kpnf
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Sat, 23 Jul 2011 21:15:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Wed, 03 Aug 2011 07:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jindřich Makovička <makovick@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Wed, 03 Aug 2011 07:51:03 GMT) Full text and rfc822 format available.

Message #53 received at 572483@bugs.debian.org (full text, mbox):

From: Jindřich Makovička <makovick@gmail.com>
To: 572483@bugs.debian.org
Subject: Re: Bug#572483: fixed in samba 2:3.5.9~dfsg-1
Date: Wed, 3 Aug 2011 09:47:42 +0200
[Message part 1 (text/plain, inline)]
Hi,

as Kevin Baradon noted, the patch that was finally applied is useless
(at least regarding this bug) - the message is produced by
/usr/bin/invoke-rc.d and still appears.

If you do not want to leak PIDs to dhcp hooks, I'd recommend using the
same runlevel check as in invoke-rc.d (see patch).

-- 
Jindrich Makovicka
[samba.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#572483; Package samba-common. (Wed, 03 Aug 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Wed, 03 Aug 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #58 received at 572483@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jindřich Makovička <makovick@gmail.com>, 572483@bugs.debian.org
Subject: Re: [Pkg-samba-maint] Bug#572483: fixed in samba 2:3.5.9~dfsg-1
Date: Wed, 3 Aug 2011 15:33:25 -0700
On Wed, Aug 03, 2011 at 09:47:42AM +0200, Jindřich Makovička wrote:
> as Kevin Baradon noted, the patch that was finally applied is useless
> (at least regarding this bug) - the message is produced by
> /usr/bin/invoke-rc.d and still appears.

If invoke-rc.d is spitting out a spurious warning message, that should be
fixed in invoke-rc.d; please file a separate bug for that.

> If you do not want to leak PIDs to dhcp hooks, I'd recommend using the
> same runlevel check as in invoke-rc.d (see patch).

> --- samba.orig	2011-03-07 20:28:32.000000000 +0100
> +++ samba	2011-08-03 09:34:21.559600753 +0200
> @@ -68,7 +68,11 @@
>  
>  	# reload the samba server
>  	# We don't necessarily have the samba package installed. #414841
> -	[ -x /etc/init.d/samba ] && /usr/sbin/invoke-rc.d samba reload
> +	# Also, do not invoke reload on shutdown
> +	RL=`runlevel | sed 's/.*\ //'`
> +	if test x${RL} != x0 && test x${RL} != x6 ; then
> +		[ -x /etc/init.d/samba ] && /usr/sbin/invoke-rc.d samba reload
> +	fi
>  
>  }
>  

Nack.  Wrong place to fix this.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Sep 2011 07:38:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:26:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.